#include "StaticPlaneShape.h"
#include "BulletCLIMath.h"

namespace BulletCLI 
{
    StaticPlaneShape::StaticPlaneShape(Vector3 planeNormal,float planeConstant)
    {
        btVector3* normal=BulletCLI::XVectorToBTVector(planeNormal);
        btScalar constant(planeConstant);
        this->m_p=new ::btStaticPlaneShape(*normal,constant);
        delete normal;
    }
	StaticPlaneShape::~StaticPlaneShape()
    {
        this->!StaticPlaneShape();
    }
	StaticPlaneShape::!StaticPlaneShape()
    {
        delete this->m_p;
    }
}